OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.AlphaToCoverageDitherControl

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVAlphaToCoverageDitherControl :: MonadIO m => m Bool
- gl_NV_alpha_to_coverage_dither_control :: Bool
- pattern GL_ALPHA_TO_COVERAGE_DITHER_DEFAULT_NV :: GLenum
- pattern GL_ALPHA_TO_COVERAGE_DITHER_DISABLE_NV :: GLenum
- pattern GL_ALPHA_TO_COVERAGE_DITHER_ENABLE_NV :: GLenum
- pattern GL_ALPHA_TO_COVERAGE_DITHER_MODE_NV :: GLenum
- glAlphaToCoverageDitherControlNV :: MonadIO m => GLenum -> m ()

# Extension Support

glGetNVAlphaToCoverageDitherControl :: MonadIO m => m Bool Source #

Is the NV_alpha_to_coverage_dither_control extension supported?

gl_NV_alpha_to_coverage_dither_control :: Bool Source #

Is the NV_alpha_to_coverage_dither_control extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVAlphaToCoverageDitherControl` in those cases instead.

# Enums

pattern GL_ALPHA_TO_COVERAGE_DITHER_DEFAULT_NV :: GLenum Source #

pattern GL_ALPHA_TO_COVERAGE_DITHER_DISABLE_NV :: GLenum Source #

pattern GL_ALPHA_TO_COVERAGE_DITHER_ENABLE_NV :: GLenum Source #

pattern GL_ALPHA_TO_COVERAGE_DITHER_MODE_NV :: GLenum Source #

# Functions

glAlphaToCoverageDitherControlNV Source #

Arguments

:: MonadIO m |
=> GLenum | `mode`.
-> m () |